com.pixelmed.dicom

## Class TransferSyntax

- java.lang.Object
- - com.pixelmed.dicom.TransferSyntax

    public class TransferSyntax
    extends java.lang.Object

A class to represent the characteristics of a DICOM Transfer Syntax, which may be instantiated from a UID or from basic characteristics, as well as static UID strings for known Transfer Syntaxes, and static methods for extracting the characteristics of known Transfer Syntaxes.

### Field Summary

Fields
`protected boolean` `bigEndian`
`static java.lang.String` `Default`
`static java.lang.String` `DeflatedExplicitVRLittleEndian`
`protected java.lang.String` `description`
`protected boolean` `encapsulatedPixelData`
`protected boolean` `explicitVR`
`static java.lang.String` `ExplicitVRBigEndian`
`static java.lang.String` `ExplicitVRLittleEndian`
`protected java.lang.String` `fileNameExtension`
`static java.lang.String` `ImplicitVRLittleEndian`
`static java.lang.String` `JPEG2000`
`static java.lang.String` `JPEG2000Lossless`
`static java.lang.String` `JPEGBaseline`
`static java.lang.String` `JPEGExtended`
`static java.lang.String` `JPEGLossless`
`static java.lang.String` `JPEGLosslessSV1`
`static java.lang.String` `JPEGLS`
`static java.lang.String` `JPEGNLS`
`protected boolean` `lossy`
`static java.lang.String` `MPEG2MPHL`
`static java.lang.String` `MPEG2MPML`
`static java.lang.String` `MPEG4HP41`
`static java.lang.String` `MPEG4HP41BD`
`static java.lang.String` `PixelMedBzip2ExplicitVRLittleEndian`
`static java.lang.String` `PixelMedEncapsulatedRawLittleEndian`
`protected boolean` `recognized`
`protected java.lang.String` `transferSyntaxUID`

### Constructor Summary

Constructors
Constructor and Description
`TransferSyntax(java.lang.String uid)` Construct a Transfer Syntax using the specified UID, automatically determining its characteristics.
`TransferSyntax(java.lang.String transferSyntaxUID, java.lang.String description, boolean explicitVR, boolean bigEndian, boolean encapsulatedPixelData, boolean lossy)` Construct a Transfer Syntax using the specified UID and characteristics.
`TransferSyntax(java.lang.String transferSyntaxUID, java.lang.String description, boolean explicitVR, boolean bigEndian, boolean encapsulatedPixelData, boolean lossy, java.lang.String fileNameExtension)` Construct a Transfer Syntax using the specified UID and characteristics.

### Method Summary

Methods
`java.lang.String` `getDescription()` Get a human-readable description of the Transfer Syntax.
`java.lang.String` `getFileNameExtension()` Get the file name extension appropriate for the Transfer Syntax.
`java.lang.String` `getUID()` Get the UID of the Transfer Syntax.
`boolean` `isBigEndian()` Is the Transfer Syntax big endian ?
`static boolean` `isBigEndian(java.lang.String uid)` Is the Transfer Syntax with the specified UID big endian ?
`boolean` `isBzip2ed()` Does the Transfer Syntax use bzip2 compression ?
`boolean` `isDeflated()` Does the Transfer Syntax use deflate compression ?
`boolean` `isEncapsulated()` Does the Transfer Syntax encapsulate the pixel data ?
`static boolean` `isEncapsulated(java.lang.String uid)` Does the Transfer Syntax encapsulate the pixel data ?
`boolean` `isExplicitVR()` Is the Transfer Syntax explicit VR ?
`static boolean` `isExplicitVR(java.lang.String uid)` Is the Transfer Syntax with the specified UID explicit VR ?
`boolean` `isImplicitVR()` Is the Transfer Syntax implicit VR ?
`static boolean` `isImplicitVR(java.lang.String uid)` Is the Transfer Syntax with the specified UID implicit VR ?
`boolean` `isLittleEndian()` Is the Transfer Syntax little endian ?
`static boolean` `isLittleEndian(java.lang.String uid)` Is the Transfer Syntax with the specified UID little endian ?
`boolean` `isLossy()` Is the Transfer Syntax potentially lossy ?
`boolean` `isNotEncapsulated()` Does the Transfer Syntax encode the pixel data without encapsulation?
`static boolean` `isNotEncapsulated(java.lang.String uid)` Does the Transfer Syntax encode the pixel data without encapsulation?
`boolean` `isRecognized()` Is the Transfer Syntax recognized ?
`java.lang.String` `toString()` Get the Transfer Syntax as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ImplicitVRLittleEndian

    public static final java.lang.String ImplicitVRLittleEndian

See Also:
  Constant Field Values

#### ExplicitVRLittleEndian

    public static final java.lang.String ExplicitVRLittleEndian

See Also:
  Constant Field Values

#### ExplicitVRBigEndian

    public static final java.lang.String ExplicitVRBigEndian

See Also:
  Constant Field Values

#### Default

    public static final java.lang.String Default

See Also:
  Constant Field Values

#### DeflatedExplicitVRLittleEndian

    public static final java.lang.String DeflatedExplicitVRLittleEndian

See Also:
  Constant Field Values

#### JPEGBaseline

    public static final java.lang.String JPEGBaseline

See Also:
  Constant Field Values

#### JPEGExtended

    public static final java.lang.String JPEGExtended

See Also:
  Constant Field Values

#### JPEGLossless

    public static final java.lang.String JPEGLossless

See Also:
  Constant Field Values

#### JPEGLosslessSV1

    public static final java.lang.String JPEGLosslessSV1

See Also:
  Constant Field Values

#### JPEGLS

    public static final java.lang.String JPEGLS

See Also:
  Constant Field Values

#### JPEGNLS

    public static final java.lang.String JPEGNLS

See Also:
  Constant Field Values

#### JPEG2000Lossless

    public static final java.lang.String JPEG2000Lossless

See Also:
  Constant Field Values

#### JPEG2000

    public static final java.lang.String JPEG2000

See Also:
  Constant Field Values

#### MPEG2MPML

    public static final java.lang.String MPEG2MPML

See Also:
  Constant Field Values

#### MPEG2MPHL

    public static final java.lang.String MPEG2MPHL

See Also:
  Constant Field Values

#### MPEG4HP41

    public static final java.lang.String MPEG4HP41

See Also:
  Constant Field Values

#### MPEG4HP41BD

    public static final java.lang.String MPEG4HP41BD

See Also:
  Constant Field Values

#### PixelMedBzip2ExplicitVRLittleEndian

    public static final java.lang.String PixelMedBzip2ExplicitVRLittleEndian

See Also:
  Constant Field Values

#### PixelMedEncapsulatedRawLittleEndian

    public static final java.lang.String PixelMedEncapsulatedRawLittleEndian

See Also:
  Constant Field Values

#### transferSyntaxUID

    protected java.lang.String transferSyntaxUID

#### description

    protected java.lang.String description

#### bigEndian

    protected boolean bigEndian

#### explicitVR

    protected boolean explicitVR

#### encapsulatedPixelData

    protected boolean encapsulatedPixelData

#### lossy

    protected boolean lossy

#### recognized

    protected boolean recognized

#### fileNameExtension

    protected java.lang.String fileNameExtension

### Constructor Detail

#### TransferSyntax

    public TransferSyntax(java.lang.String uid)

Construct a Transfer Syntax using the specified UID, automatically determining its characteristics.

Parameters:
  `uid` - the UID to use to refer to this transfer syntax

#### TransferSyntax

    public TransferSyntax(java.lang.String transferSyntaxUID,
                  java.lang.String description,
                  boolean explicitVR,
                  boolean bigEndian,
                  boolean encapsulatedPixelData,
                  boolean lossy)

Construct a Transfer Syntax using the specified UID and characteristics.

Parameters:
  `transferSyntaxUID` - the UID to use to refer to this transfer syntax
  `description` - the description of this transfer syntax
  `explicitVR` - true if an explicit VR transfer syntax
  `bigEndian` - true if big-endian transfer syntax
  `encapsulatedPixelData` - true if a pixel data encapsulated transfer syntax
  `lossy` - true if lossy compression

#### TransferSyntax

    public TransferSyntax(java.lang.String transferSyntaxUID,
                  java.lang.String description,
                  boolean explicitVR,
                  boolean bigEndian,
                  boolean encapsulatedPixelData,
                  boolean lossy,
                  java.lang.String fileNameExtension)

Construct a Transfer Syntax using the specified UID and characteristics.

Parameters:
  `transferSyntaxUID` - the UID to use to refer to this transfer syntax
  `description` - the description of this transfer syntax
  `explicitVR` - true if an explicit VR transfer syntax
  `bigEndian` - true if big-endian transfer syntax
  `encapsulatedPixelData` - true if a pixel data encapsulated transfer syntax
  `lossy` - true if lossy compression
  `fileNameExtension` - fileNameExtension to use if bit stream is to be saved as a file

### Method Detail

#### getUID

    public java.lang.String getUID()

Get the UID of the Transfer Syntax.

Returns:
  the UID of the Transfer Syntax

#### getDescription

    public java.lang.String getDescription()

Get a human-readable description of the Transfer Syntax.

Returns:
  the description of the Transfer Syntax

#### isRecognized

    public boolean isRecognized()

Is the Transfer Syntax recognized ?

Returns:
  true if recognized

#### isBigEndian

    public boolean isBigEndian()

Is the Transfer Syntax big endian ?

Returns:
  true if big endian

#### isLittleEndian

    public boolean isLittleEndian()

Is the Transfer Syntax little endian ?

Returns:
  true if little endian

#### isExplicitVR

    public boolean isExplicitVR()

Is the Transfer Syntax explicit VR ?

Returns:
  true if explicit VR

#### isImplicitVR

    public boolean isImplicitVR()

Is the Transfer Syntax implicit VR ?

Returns:
  true if implicit VR

#### isEncapsulated

    public boolean isEncapsulated()

Does the Transfer Syntax encapsulate the pixel data ?

Returns:
  true if encapsulate

#### isNotEncapsulated

    public boolean isNotEncapsulated()

Does the Transfer Syntax encode the pixel data without encapsulation?

Returns:
  true if not encapsulated

#### isLossy

    public boolean isLossy()

Is the Transfer Syntax potentially lossy ?

Returns:
  true if lossy

#### getFileNameExtension

    public java.lang.String getFileNameExtension()

Get the file name extension appropriate for the Transfer Syntax.

Will be "unk" if unrecognized.

Returns:
  the fileNameExtension to use if bit stream is to be saved as a file

#### isDeflated

    public boolean isDeflated()

Does the Transfer Syntax use deflate compression ?

Returns:
  true if deflated

#### isBzip2ed

    public boolean isBzip2ed()

Does the Transfer Syntax use bzip2 compression ?

Returns:
  true if bzip2

#### toString

    public java.lang.String toString()

Get the Transfer Syntax as a string.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the UID of the Transfer Syntax

#### isExplicitVR

    public static boolean isExplicitVR(java.lang.String uid)

Is the Transfer Syntax with the specified UID explicit VR ?

Parameters:
  `uid` -
Returns:
  true if explicit VR

#### isImplicitVR

    public static boolean isImplicitVR(java.lang.String uid)

Is the Transfer Syntax with the specified UID implicit VR ?

Parameters:
  `uid` -
Returns:
  true if explicit VR

#### isBigEndian

    public static boolean isBigEndian(java.lang.String uid)

Is the Transfer Syntax with the specified UID big endian ?

Parameters:
  `uid` -
Returns:
  true if big endian

#### isLittleEndian

    public static boolean isLittleEndian(java.lang.String uid)

Is the Transfer Syntax with the specified UID little endian ?

Parameters:
  `uid` -
Returns:
  true if little endian

#### isEncapsulated

    public static boolean isEncapsulated(java.lang.String uid)

Does the Transfer Syntax encapsulate the pixel data ?

Parameters:
  `uid` -
Returns:
  true if encapsulate

#### isNotEncapsulated

    public static boolean isNotEncapsulated(java.lang.String uid)

Does the Transfer Syntax encode the pixel data without encapsulation?

Parameters:
  `uid` -
Returns:
  true if not encapsulated